{
  "log": {
    "access": "",
    "error": "",
    "loglevel": "warning"
  },
  "inbounds": [
    {
      "port": 10808,
      "listen": "0.0.0.0",
      "protocol": "socks",
      "sniffing": {
        "enabled": false,
        "destOverride": [
          "http",
          "tls"
        ]
      },
      "settings": {
        "auth": "noauth",
        "udp": true,
        "ip": null,
        "clients": null
      },
      "streamSettings": null
    },
    {
      "port": 10809,
      "listen": "0.0.0.0",
      "protocol": "http",
      "sniffing": null,
      "settings": null,
      "streamSettings": null
    }
  ],
  "outbounds": [
    {
      "tag": "proxy",
      "protocol": "vmess",
      "settings": {
        "vnext": [
          {
            "address": "aliyun-hk.nodeok.top",
            "port": 443,
            "users": [
              {
                "id": "e8241bac-1d11-2ecf-b4fc-a865c2dad851",
                "alterId": 0,
                "email": "t@t.tt",
                "security": "auto"
              }
            ]
          }
        ],
        "servers": null,
        "response": null
      },
      "streamSettings": {
        "network": "ws",
        "security": "tls",
        "tlsSettings": {
          "allowInsecure": true,
          "serverName": null
        },
        "tcpSettings": null,
        "kcpSettings": null,
        "wsSettings": {
          "connectionReuse": true,
          "path": "/v2ray/",
          "headers": null
        },
        "httpSettings": null,
        "quicSettings": null
      },
      "mux": {
        "enabled": false
      }
    },
    {
      "tag": "direct",
      "protocol": "freedom",
      "settings": {
        "vnext": null,
        "servers": null,
        "response": null
      },
      "streamSettings": null,
      "mux": null
    },
    {
      "tag": "block",
      "protocol": "blackhole",
      "settings": {
        "vnext": null,
        "servers": null,
        "response": {
          "type": "http"
        }
      },
      "streamSettings": null,
      "mux": null
    }
  ],
  "dns": {
    "servers": [
      "8.8.8.8",
      "8.8.4.4",
      "localhost"
    ]
  },
  "routing": {
    "domainStrategy": "IPOnDemand",
    "rules": [
      {
        "type": "field",
        "port": null,
        "outboundTag": "block",
        "ip": null,
        "domain": [
          "geosite:category-ads-all"
        ]
      },
      {
        "type": "field",
        "port": null,
        "outboundTag": "direct",
        "ip": null,
        "domain": [
          "speedss.xyz",
          "speedss.ml",
          "speedssx.com",
          "speedsss.com",
          "speedss.icu",
          "spess.github.io",
          "microsoft.com",
          "microsoftonline.com",
          "windows.net",
          "windowsupdate.com",
          "sharepoint.com",
          "office.com",
          "live.com",
          "live.net",
          "epicgames.com",
          "epicgames-download1.akamaized.net",
          "steampowered.com",
          "steamcontent.com",
          "dl.steam.ksyna.com",
          "cdn.mileweb.cs.steampowered.com.8686c.com"
        ]
      },
      {
        "type": "field",
        "port": null,
        "outboundTag": "proxy",
        "ip": null,
        "domain": [
          "geosite:geolocation-!cn"
        ]
      }
    ]
  }
}